﻿using System;
using System.Linq;
using System.Linq.Expressions;
using NQueries.Data.Queries;
using TestModel;

namespace TestConsole
{
    public class QueryProductById680WithSpec : Query<IAdventureWorksEntities, Product>
    {
        protected override Expression<Func<IAdventureWorksEntities, Product>> Expression { get { return context => context.Products.Single(new ProductById680Specification().Predicate); } }
    }
}
