﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NQueries.Data.Test
{
    [TestClass]
    public class UnitOfWorkDisposedEventArgsTest
    {
        public TestContext TestContext { get; set; }

        [TestMethod]
        public void UnitOfWorkDisposedEventArgsConstructorTest()
        {
            const string NAME = "test";
            TimeSpan lifespan = TimeSpan.FromSeconds(42);
            UnitOfWorkDisposedEventArgs target = new UnitOfWorkDisposedEventArgs(NAME, lifespan);
            Assert.AreEqual(NAME, target.Name);
            Assert.AreEqual(lifespan, target.Lifespan);
        }
    }
}