﻿using System;

namespace NQueries
{
    /// <summary>
    /// Event args for UnitOfWorkCreated event.
    /// </summary>
    public class UnitOfWorkCreatedEventArgs : EventArgs
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public UnitOfWorkCreatedEventArgs(string name) { Name = name; }

        /// <summary>
        /// The name of the <see cref="IUnitOfWork"/>.
        /// </summary>
        public string Name { get; private set; }
    }
}